.mod-start-new
  position: relative

  label
    margin-bottom: 0

  .mod-robot
    position: absolute
    left: 0
    bottom: 0
    width: 420px

  .step-1
    background-color: white
    padding: 10px 40px

    h2
      padding: 10px 0

  .error-messages
    margin-top: 20px

  .dropzone
    text-align: center
    height: 190px
    width: 100%
    border: 2px dashed $color-grey-border

    &:hover
      border-color: darken($color-grey-border, 10%)
      background-color: darken(white, 2%)
      cursor: pointer

    &.hint
      border-color: $color-blue

    &.active
      background-color: lighten($color-blue, 30%)

  .heading
    color: $color-blue
    font-size: 18px
    margin-top: 45px
    margin-bottom: 55px

    &:before
      +icon
      +icon-upload
      position: relative
      font-size: 50px
      margin-right: 25px
      top: 12px

  label.link
    background: none
    color: inherit
    cursor: pointer
    font: inherit
    padding: 0
    text-decoration: underline
    display: inline

    &:hover
      color: inherit
      text-decoration: none

  .supported_files
    color: $color-grey-text
    font-size: 12px

  .file-input
    position: absolute
    left: -10000px
    top: -10000px

  .trash
    +appearance(none)
    background-color: transparent
    +flex-grow(0)
    font-size: 18px
    margin: 0 20px
    color: $color-grey-text

    &:hover
      color: darken($color-grey-text, 10%)

    &:before
      +icon
      +icon-trash

  .file
    +align-items(center)
    display: none
    height: 60px
    border: 1px solid $color-grey-border
    margin-top: 45px

    &:not([data-job-type="new"])
      border-right: none

    .input-wrapper,
    .select-wrapper
      +flex-grow(0.3)
      height: 100%
      overflow: visible

      &.set-name
        +flex-grow(2)

      &.set-amount
        +flex-grow(0)

      & + .input-wrapper,
      & + .select-wrapper
        margin-left: 15px

      input,
      select
        border-width: 0 1px

      label
        color: $color-black
        left: 0
        position: absolute
        top: -23px

    &:before
      +icon
      +icon-paperclip
      font-size: 24px
      left: 6px
      padding: 20px

    &[data-state="ready"],
    &[data-state="uploading"]
      +display(flex)

      .name:before
        display: block

    &[data-state="uploading"]
      &:before
        display: none

      .spinner
        display: block


  .set-amount input
    max-width: 125px

  .spinner
    display: none
    height: inherit
    margin: 0 17px

  .submit
    margin: 20px 0
    position: relative
    text-align: center

  .allow-compatible-materials-check
    text-align: center
    margin: 20px

    [type="checkbox"]
      margin-right: 1em

    label
      display: inline
